Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::RemoteSnmpV3Device Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::RemoteSnmpV3Device:

## Public Attributes

string | user
| security user name
SnmpSecurityLevel | level
| security level (noAuthNoPriv|authNoPriv|authPriv)
SnmpAuthProtocol | authProtocol
| authentication protocol (MD5|SHA|SHA-224|SHA-256|SHA-384|SHA-512)
string | authPassphrase
| authentication protocol passphrase
SnmpPrivProtocol | privacyProtocol
| privacy protocol (DES|AES|AES-192|AES-256)
string | privacyPassphrase
| privacy protocol pass phrase
Public Attributes inherited from peripheral::GatewaySensorManager::RemoteSnmpDevice
string | host
| host
Public Attributes inherited from peripheral::GatewaySensorManager::RemoteDevice
string | deviceId
| remote device id
boolean | disabled
| prevents usage of all sensor specifications which reference this device
string | name
| human readable remote device name
int | timeoutMs
| communication access timeout, 0 = default
int | retry
| communication retry count, 0 = default

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl